<?php
define('TITLE','TaskMan Event Calendar: View Day');

include('includes/header.php.inc');

$calendar=new calendar($date);
$today=new day($date);
$tasks=$today->getTasks();
$distribution=$today->getDistribution();

$task_count=count($tasks);
$task_date=date('l, j M Y',$today->getDateStamp());
?>

<p><b><i>Displaying <?=$task_count?> tasks running on <?=$task_date?> </i></b></p>
<table border="0"><tr><td><font size="-1"><a href="javascript:history.go(-1)">&lt; Back</a></font></td></tr></table>
<table width="100%" border=1 cellspacing=1 cellpadding=0>
<tr><td><b><u>Job Name</u></b></td><td><b><u>Job Type</u></b></td><td><b><u>Starts</u></b></td><td><b><u>Instance</u></b></td></tr>
<?
foreach ($tasks as $task) {
  if ($task->schedule_wait_on=='') $wait_on="Nothing";
  else $wait_on=$task->schedule_wait_on;
    print "<tr><td><a onMouseOver=\"window.status='$task->name | Waits on: $wait_on';return true;\" onMouseOut=\"window.status=''; return true;\" class=\"task\" href=\"viewTask.php?filename=$task->filename&task_id=$task->task_id\">$task->name</td><td>$task->type</td><td>$task->schedule_start</td><td>$task->filename</td></tr>\n";
}
?>
</table>

<?
include ('includes/footer.php.inc');
?>